package hu.bme.kszk.kikerdezo.database

import androidx.lifecycle.LiveData
import androidx.room.Dao
import androidx.room.Insert
import androidx.room.Query
import hu.bme.kszk.kikerdezo.model.Question

@Dao
interface QuestionDao {
    @Query("SELECT * FROM question")
    fun getAllQuestion(): LiveData<List<Question>>

    @Query("SELECT * FROM question WHERE lab = :num")
    fun getLabQuestion(num: Int): LiveData<List<Question>>

    @Insert
    fun insertQuestion(question: Question) : Long
}