package hu.bme.kszk.kikerdezo.database

import androidx.lifecycle.LiveData
import androidx.room.Dao
import androidx.room.Insert
import androidx.room.Query
import hu.bme.kszk.kikerdezo.model.Result

@Dao
interface ResultDao {
    @Query("SELECT * FROM result ORDER BY date")
    fun getResults(): LiveData<List<Result>>

    @Insert
    fun insertResult(result: Result) : Long
}