package hu.bme.kszk.kikerdezo.model

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey

@Entity(tableName = "question")
data class Question (
    @PrimaryKey(autoGenerate = true) @ColumnInfo(name = "id") var id: Int,
    @ColumnInfo(name = "lab")         var lab: Int,
    @ColumnInfo(name = "questionText")var questionText: String,
    @ColumnInfo(name = "answer1")     var answer1: String,
    @ColumnInfo(name = "answer2")     var answer2: String,
    @ColumnInfo(name = "answer3")     var answer3: String,
    @ColumnInfo(name = "answer4")     var answer4: String,
    @ColumnInfo(name = "correct")     var correct: Int
)